org.icefaces.ace.component.datatable

## Class DataTableRenderingContext

- java.lang.Object
- - org.icefaces.ace.component.datatable.DataTableRenderingContext

-     public class DataTableRenderingContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableRenderingContext(DataTable table)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnModel` | `getColumnModel()`
    `java.util.List<Column>` | `getColumns()`
    `java.lang.Integer` | `getFirstRowIndex()`
    `java.lang.String` | `getPaginatorPosition()`
    `java.lang.Integer` | `getPagPose()`
    `java.util.List<IProxiableColumn>` | `getProxiedBodyColumns()`
    `java.lang.String` | `getRowIndexVar()`
    `java.lang.Integer` | `getRows()`
    `java.lang.String` | `getRowStateVar()`
    `java.lang.Integer` | `getScrollHeight()`
    `java.lang.String` | `getSelectionMode()`
    `RowStateMap` | `getStateMap()`
    `int` | `getTabIndex()`
    `DataTable` | `getTable()`
    `java.lang.String` | `getVar()`
    `boolean` | `isCellSelection()`
    `boolean` | `isColumnFilterable()`
    `boolean` | `isColumnPinningEnabled()`
    `boolean` | `isColumnSortable()`
    `boolean` | `isFirstColumn()`
    `boolean` | `isInHeaderSubrows()`
    `boolean` | `isLastColumn()`
    `boolean` | `isPaginator()`
    `boolean` | `isReorderableColumns()`
    `boolean` | `isResizableColumns()`
    `boolean` | `isScrollable()`
    `boolean` | `isStaticHeaders()`
    `void` | `setColumnFilterable(boolean columnFilterable)`
    `void` | `setColumnSortable(boolean columnSortable)`
    `void` | `setFirstColumn(boolean firstColumn)`
    `void` | `setInHeaderSubrows(boolean headerSubrows)`
    `void` | `setLastColumn(boolean b)`
    `void` | `setReorderableColumns(boolean reorderableColumns)`
    `boolean` | `showPinningControls()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableRenderingContext

          public DataTableRenderingContext(DataTable table)

  - ### Method Detail

    - #### getTable

          public DataTable getTable()

    - #### getPaginatorPosition

          public java.lang.String getPaginatorPosition()

    - #### isPaginator

          public boolean isPaginator()

    - #### isScrollable

          public boolean isScrollable()

    - #### isStaticHeaders

          public boolean isStaticHeaders()

    - #### getStateMap

          public RowStateMap getStateMap()

    - #### getRowIndexVar

          public java.lang.String getRowIndexVar()

    - #### getRows

          public java.lang.Integer getRows()

    - #### getFirstRowIndex

          public java.lang.Integer getFirstRowIndex()

    - #### getPagPose

          public java.lang.Integer getPagPose()

    - #### getColumnModel

          public ColumnModel getColumnModel()

    - #### getProxiedBodyColumns

          public java.util.List<IProxiableColumn> getProxiedBodyColumns()

    - #### getColumns

          public java.util.List<Column> getColumns()

    - #### getRowStateVar

          public java.lang.String getRowStateVar()

    - #### getSelectionMode

          public java.lang.String getSelectionMode()

    - #### isResizableColumns

          public boolean isResizableColumns()

    - #### getScrollHeight

          public java.lang.Integer getScrollHeight()

    - #### getVar

          public java.lang.String getVar()

    - #### setFirstColumn

          public void setFirstColumn(boolean firstColumn)

    - #### isFirstColumn

          public boolean isFirstColumn()

    - #### setLastColumn

          public void setLastColumn(boolean b)

    - #### isLastColumn

          public boolean isLastColumn()

    - #### setInHeaderSubrows

          public void setInHeaderSubrows(boolean headerSubrows)

    - #### isInHeaderSubrows

          public boolean isInHeaderSubrows()

    - #### isReorderableColumns

          public boolean isReorderableColumns()

    - #### setReorderableColumns

          public void setReorderableColumns(boolean reorderableColumns)

    - #### setColumnSortable

          public void setColumnSortable(boolean columnSortable)

    - #### isColumnSortable

          public boolean isColumnSortable()

    - #### setColumnFilterable

          public void setColumnFilterable(boolean columnFilterable)

    - #### isColumnFilterable

          public boolean isColumnFilterable()

    - #### getTabIndex

          public int getTabIndex()

    - #### isColumnPinningEnabled

          public boolean isColumnPinningEnabled()

    - #### showPinningControls

          public boolean showPinningControls()

    - #### isCellSelection

          public boolean isCellSelection()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.